summaryrefslogtreecommitdiff
path: root/tests/dfaexec-multibyte
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dfaexec-multibyte')
-rwxr-xr-xtests/dfaexec-multibyte25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/dfaexec-multibyte b/tests/dfaexec-multibyte
new file mode 100755
index 0000000..baac9ba
--- /dev/null
+++ b/tests/dfaexec-multibyte
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This would fail for grep-2.5.3
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf 'aa\nab\nba\nbb\n' > exp1 || framework_failure_
+printf '1 2 3\n' > exp2 || framework_failure_
+
+fail=0
+
+for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
+ out=out1-ab-$LOC
+ LC_ALL=$LOC grep -E '([a]|[b]){2}' < exp1 > $out || fail=1
+ compare exp1 $out || fail=1
+
+ out=out1-ba-$LOC
+ LC_ALL=$LOC grep -E '([b]|[a]){2}' < exp1 > $out || fail=1
+ compare exp1 $out || fail=1
+
+ out=out2-$LOC
+ LC_ALL=$LOC grep -E '^([[:digit:]]+[[:space:]]+){2}' < exp2 > $out || fail=1
+ compare exp2 $out || fail=1
+
+done
+
+Exit $fail